Bug 126598 - Web Inspector: Move InjectedScript classes into JavaScriptCore
Summary: Web Inspector: Move InjectedScript classes into JavaScriptCore
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-01-07 14:13 PST by Joseph Pecoraro
Modified: 2014-01-09 18:54 PST (History)
19 users (show)

See Also:


Attachments
[PATCH] Part 1: Extract InspectorInstrumentationCookie class from InspectorInstrumentation. (19.96 KB, patch)
2014-01-07 15:31 PST, Joseph Pecoraro
timothy: review+
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
[PATCH] Part 2: Move InjectedScriptSource and generation into JavaScriptCore. (21.28 KB, patch)
2014-01-07 15:32 PST, Joseph Pecoraro
timothy: review+
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
[PATCH] Part 3: Update CodeGeneratorInspector to avoid inlining virtual destructors. (3.96 KB, patch)
2014-01-07 15:32 PST, Joseph Pecoraro
timothy: review+
Details | Formatted Diff | Diff
[PATCH] Part 4: Move all inspector scripts into JavaScriptCore and update generators (27.14 KB, patch)
2014-01-07 15:33 PST, Joseph Pecoraro
timothy: review+
Details | Formatted Diff | Diff
[PATCH] Part 5: Move InjectedScript classes into JavaScriptCore (97.53 KB, patch)
2014-01-07 15:33 PST, Joseph Pecoraro
timothy: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
[PATCH] Part 6: Put it all together. Make WebCore use the JavaScriptCore InjectedScript files. (152.32 KB, patch)
2014-01-07 15:33 PST, Joseph Pecoraro
timothy: review+
Details | Formatted Diff | Diff
[PATCH] For Bots 1 (300.73 KB, patch)
2014-01-07 15:34 PST, Joseph Pecoraro
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
[PATCH] For Bots 2 (307.29 KB, patch)
2014-01-07 16:55 PST, Joseph Pecoraro
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion (618.49 KB, application/zip)
2014-01-08 04:16 PST, Build Bot
no flags Details
[PATCH] For Bots 3 (307.89 KB, patch)
2014-01-08 13:26 PST, Joseph Pecoraro
no flags Details | Formatted Diff | Diff
[PATCH] For Bots 4 (310.49 KB, patch)
2014-01-08 14:30 PST, Joseph Pecoraro
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
[PATCH] For Bots 5 (310.50 KB, patch)
2014-01-08 19:32 PST, Joseph Pecoraro
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
[PATCH] For Bots 6 (310.50 KB, patch)
2014-01-08 19:47 PST, Joseph Pecoraro
no flags Details | Formatted Diff | Diff
[PATCH] For Bots Follow-up (919 bytes, patch)
2014-01-09 18:30 PST, Joseph Pecoraro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2014-01-07 14:13:26 PST
For JS Context inspection the InjectedScriptSource and InjectedScript classes must move to JavaScriptCore, since they are necessary for the Console (RuntimeAgent) to work.

This covers:

    # Moving:
    InjectedScript.cpp
    InjectedScript.h
    InjectedScriptBase.cpp
    InjectedScriptBase.h
    InjectedScriptManager.cpp
    InjectedScriptManager.h
    InjectedScriptModule.cpp
    InjectedScriptModule.h
    InjectedScriptSource.js

    # Reimplement without IDL / custom bindings:
    InjectedScriptHost.cpp
    InjectedScriptHost.h
    InjectedScriptHost.idl
    bindings/js/JSInjectedScriptHostCustom.cpp
    bindings/js/JSInjectedScriptManager.cpp
Comment 1 Radar WebKit Bug Importer 2014-01-07 14:14:39 PST
<rdar://problem/15766277>
Comment 2 Joseph Pecoraro 2014-01-07 15:31:06 PST
I'm going to put up a series of non-buildable compartmentalized patches that will make it easier to review individual parts, then put up combined patches for the bots to chew through.
Comment 3 Joseph Pecoraro 2014-01-07 15:31:57 PST
Created attachment 220558 [details]
[PATCH] Part 1: Extract InspectorInstrumentationCookie class from InspectorInstrumentation.
Comment 4 Joseph Pecoraro 2014-01-07 15:32:25 PST
Created attachment 220559 [details]
[PATCH] Part 2: Move InjectedScriptSource and generation into JavaScriptCore.
Comment 5 Joseph Pecoraro 2014-01-07 15:32:51 PST
Created attachment 220560 [details]
[PATCH] Part 3: Update CodeGeneratorInspector to avoid inlining virtual destructors.
Comment 6 Joseph Pecoraro 2014-01-07 15:33:14 PST
Created attachment 220561 [details]
[PATCH] Part 4: Move all inspector scripts into JavaScriptCore and update generators
Comment 7 Joseph Pecoraro 2014-01-07 15:33:31 PST
Created attachment 220562 [details]
[PATCH] Part 5: Move InjectedScript classes into JavaScriptCore
Comment 8 Joseph Pecoraro 2014-01-07 15:33:50 PST
Created attachment 220563 [details]
[PATCH] Part 6: Put it all together. Make WebCore use the JavaScriptCore InjectedScript files.
Comment 9 WebKit Commit Bot 2014-01-07 15:34:44 PST
Attachment 220558 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/inspector/InspectorAllInOne.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.h', u'Source/WebCore/inspector/InspectorInstrumentationCookie.cpp', u'Source/WebCore/inspector/InspectorInstrumentationCookie.h', '--commit-queue']" exit_code: 1
ERROR: Source/WebCore/inspector/InspectorInstrumentationCookie.h:32:  InspectorInstrumentationCookie_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
Total errors found: 1 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 Joseph Pecoraro 2014-01-07 15:34:55 PST
Created attachment 220564 [details]
[PATCH] For Bots 1
Comment 11 WebKit Commit Bot 2014-01-07 15:38:07 PST
Attachment 220562 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/inspector/InjectedScript.cpp', u'Source/JavaScriptCore/inspector/InjectedScript.h', u'Source/JavaScriptCore/inspector/InjectedScriptBase.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptBase.h', u'Source/JavaScriptCore/inspector/InjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptHost.h', u'Source/JavaScriptCore/inspector/InjectedScriptManager.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptManager.h', u'Source/JavaScriptCore/inspector/InjectedScriptModule.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptModule.h', u'Source/JavaScriptCore/inspector/InspectorEnvironment.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.h', u'Source/WebCore/ChangeLog', u'Source/WebCore/bindings/js/JSInjectedScriptHostCustom.cpp', u'Source/WebCore/bindings/js/JSInjectedScriptManager.cpp', u'Source/WebCore/inspector/InjectedScript.cpp', u'Source/WebCore/inspector/InjectedScript.h', u'Source/WebCore/inspector/InjectedScriptBase.cpp', u'Source/WebCore/inspector/InjectedScriptBase.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InjectedScriptHost.h', u'Source/WebCore/inspector/InjectedScriptHost.idl', u'Source/WebCore/inspector/InjectedScriptManager.cpp', u'Source/WebCore/inspector/InjectedScriptManager.h', u'Source/WebCore/inspector/InjectedScriptModule.cpp', u'Source/WebCore/inspector/InjectedScriptModule.h', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/JSInjectedScriptHost.h:27:  JSInjectedScriptHost_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/JSInjectedScriptHost.h:84:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/inspector/InjectedScript.h:33:  InjectedScript_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptHost.h:27:  InjectedScriptHost_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.h:27:  JSInjectedScriptHostPrototype_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptModule.h:33:  InjectedScriptModule_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InspectorEnvironment.h:27:  InspectorEnvironment_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptManager.h:31:  InjectedScriptManager_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptManager.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.h:33:  InjectedScriptBase_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
Total errors found: 10 in 17 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 WebKit Commit Bot 2014-01-07 15:40:03 PST
Attachment 220564 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/InjectedScript.cpp', u'Source/JavaScriptCore/inspector/InjectedScript.h', u'Source/JavaScriptCore/inspector/InjectedScriptBase.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptBase.h', u'Source/JavaScriptCore/inspector/InjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptHost.h', u'Source/JavaScriptCore/inspector/InjectedScriptManager.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptManager.h', u'Source/JavaScriptCore/inspector/InjectedScriptModule.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptModule.h', u'Source/JavaScriptCore/inspector/InjectedScriptSource.js', u'Source/JavaScriptCore/inspector/InspectorEnvironment.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.h', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/cssmin.py', u'Source/JavaScriptCore/inspector/scripts/inline-and-minify-stylesheets-and-scripts.py', u'Source/JavaScriptCore/inspector/scripts/jsmin.py', u'Source/JavaScriptCore/inspector/scripts/xxd.pl', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.cpp', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScript.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptBase.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptHost.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptManager.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptModule.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorEnvironment.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/UseJSC.cmake', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/bindings/js/JSBindingsAllInOne.cpp', u'Source/WebCore/bindings/js/JSInjectedScriptHostCustom.cpp', u'Source/WebCore/bindings/js/JSInjectedScriptManager.cpp', u'Source/WebCore/bindings/js/JSMainThreadExecState.cpp', u'Source/WebCore/bindings/js/JSMainThreadExecState.h', u'Source/WebCore/inspector/CommandLineAPIHost.cpp', u'Source/WebCore/inspector/CommandLineAPIHost.h', u'Source/WebCore/inspector/CommandLineAPIModule.cpp', u'Source/WebCore/inspector/CommandLineAPIModule.h', u'Source/WebCore/inspector/ConsoleMessage.cpp', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScript.cpp', u'Source/WebCore/inspector/InjectedScript.h', u'Source/WebCore/inspector/InjectedScriptBase.cpp', u'Source/WebCore/inspector/InjectedScriptBase.h', u'Source/WebCore/inspector/InjectedScriptCanvasModule.cpp', u'Source/WebCore/inspector/InjectedScriptCanvasModule.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InjectedScriptHost.h', u'Source/WebCore/inspector/InjectedScriptHost.idl', u'Source/WebCore/inspector/InjectedScriptManager.cpp', u'Source/WebCore/inspector/InjectedScriptManager.h', u'Source/WebCore/inspector/InjectedScriptModule.cpp', u'Source/WebCore/inspector/InjectedScriptModule.h', u'Source/WebCore/inspector/InjectedScriptSource.js', u'Source/WebCore/inspector/InspectorAllInOne.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorController.h', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.h', u'Source/WebCore/inspector/InspectorInstrumentationCookie.cpp', u'Source/WebCore/inspector/InspectorInstrumentationCookie.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.cpp', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/PageConsoleAgent.cpp', u'Source/WebCore/inspector/PageConsoleAgent.h', u'Source/WebCore/inspector/PageDebuggerAgent.cpp', u'Source/WebCore/inspector/PageDebuggerAgent.h', u'Source/WebCore/inspector/PageInjectedScriptHost.cpp', u'Source/WebCore/inspector/PageInjectedScriptHost.h', u'Source/WebCore/inspector/PageInjectedScriptManager.cpp', u'Source/WebCore/inspector/PageInjectedScriptManager.h', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/Scripts/cssmin.py', u'Source/WebCore/inspector/Scripts/inline-and-minify-stylesheets-and-scripts.py', u'Source/WebCore/inspector/Scripts/jsmin.py', u'Source/WebCore/inspector/WorkerConsoleAgent.cpp', u'Source/WebCore/inspector/WorkerConsoleAgent.h', u'Source/WebCore/inspector/WorkerDebuggerAgent.cpp', u'Source/WebCore/inspector/WorkerDebuggerAgent.h', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerInspectorController.h', u'Source/WebCore/inspector/WorkerRuntimeAgent.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/xxd.pl', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/InjectedScript.h:33:  InjectedScript_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/inspector/ConsoleMessage.cpp:44:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.cpp:59:  An else statement can be removed when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptModule.h:33:  InjectedScriptModule_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptManager.h:31:  InjectedScriptManager_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptManager.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InspectorEnvironment.h:2:  WebCore_FWD_InspectorEnvironment_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/JSInjectedScriptHost.h:27:  JSInjectedScriptHost_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/JSInjectedScriptHost.h:84:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InjectedScriptManager.h:2:  WebCore_FWD_InjectedScriptManager_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InjectedScript.h:2:  WebCore_FWD_InjectedScript_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:35:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:44:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:49:  multiple statements on one line (semicolon)  [pep8/E702] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:51:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:54:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:57:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:60:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:64:  expected 1 blank line, found 0  [pep8/E301] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:78:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:139:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:163:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InjectedScriptModule.h:2:  WebCore_FWD_InjectedScriptModule_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/inspector/InspectorInstrumentationCookie.h:32:  InspectorInstrumentationCookie_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptHost.h:27:  InjectedScriptHost_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InjectedScriptHost.h:2:  WebCore_FWD_InjectedScriptHost_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/inspector/PageInjectedScriptHost.h:27:  PageInjectedScriptHost_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:28:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:34:  whitespace before ')'  [pep8/E202] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:33:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/JavaScriptCore/inspector/InspectorEnvironment.h:27:  InspectorEnvironment_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InjectedScriptBase.h:2:  WebCore_FWD_InjectedScriptBase_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.h:33:  InjectedScriptBase_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.h:112:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.h:112:  The parameter name "source" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.h:27:  JSInjectedScriptHostPrototype_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/inspector/PageConsoleAgent.cpp:41:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 37 in 93 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 EFL EWS Bot 2014-01-07 15:41:32 PST
Comment on attachment 220559 [details]
[PATCH] Part 2: Move InjectedScriptSource and generation into JavaScriptCore.

Attachment 220559 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/6687643244953600
Comment 14 Build Bot 2014-01-07 15:47:30 PST
Comment on attachment 220562 [details]
[PATCH] Part 5: Move InjectedScript classes into JavaScriptCore

Attachment 220562 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/6230246407798784
Comment 15 Timothy Hatcher 2014-01-07 15:47:52 PST
Comment on attachment 220562 [details]
[PATCH] Part 5: Move InjectedScript classes into JavaScriptCore

View in context: https://bugs.webkit.org/attachment.cgi?id=220562&action=review

> Source/JavaScriptCore/inspector/InjectedScriptManager.cpp:163
> +        auto it1 = m_idToInjectedScript.find(it->value);

Not new, but it1 is gross. injectedScriptIterator?
Comment 16 EFL EWS Bot 2014-01-07 15:47:56 PST
Comment on attachment 220562 [details]
[PATCH] Part 5: Move InjectedScript classes into JavaScriptCore

Attachment 220562 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/6665734616776704
Comment 17 EFL EWS Bot 2014-01-07 15:51:54 PST
Comment on attachment 220564 [details]
[PATCH] For Bots 1

Attachment 220564 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/5385821477666816
Comment 18 Geoffrey Garen 2014-01-07 15:53:47 PST
Comment on attachment 220562 [details]
[PATCH] Part 5: Move InjectedScript classes into JavaScriptCore

View in context: https://bugs.webkit.org/attachment.cgi?id=220562&action=review

r=me, but I think I spotted a leak.

> Source/JavaScriptCore/inspector/JSInjectedScriptHost.cpp:85
> +JSInjectedScriptHost::~JSInjectedScriptHost()
> +{
> +    releaseImpl();
> +}
> +

Because you have a non-trivial destructor, I believe you need this in the class definition:

    static const bool needsDestruction = true;

You should set a breakpoint on this function and verify that it is actually called.
Comment 19 Build Bot 2014-01-07 15:55:49 PST
Comment on attachment 220564 [details]
[PATCH] For Bots 1

Attachment 220564 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5968289909964800
Comment 20 Build Bot 2014-01-07 15:58:03 PST
Comment on attachment 220559 [details]
[PATCH] Part 2: Move InjectedScriptSource and generation into JavaScriptCore.

Attachment 220559 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/4916397255688192
Comment 21 EFL EWS Bot 2014-01-07 15:58:06 PST
Comment on attachment 220558 [details]
[PATCH] Part 1: Extract InspectorInstrumentationCookie class from InspectorInstrumentation.

Attachment 220558 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/5958985802842112
Comment 22 Joseph Pecoraro 2014-01-07 15:58:13 PST
Comment on attachment 220562 [details]
[PATCH] Part 5: Move InjectedScript classes into JavaScriptCore

View in context: https://bugs.webkit.org/attachment.cgi?id=220562&action=review

>> Source/JavaScriptCore/inspector/JSInjectedScriptHost.cpp:85
>> +
> 
> Because you have a non-trivial destructor, I believe you need this in the class definition:
> 
>     static const bool needsDestruction = true;
> 
> You should set a breakpoint on this function and verify that it is actually called.

Good find! I had tested this worked as expected when I was inspecting a JSContext but I'll add this and verify when debugging a Page and make sure I didn't regress anything there.
Comment 23 EFL EWS Bot 2014-01-07 16:02:25 PST
Comment on attachment 220559 [details]
[PATCH] Part 2: Move InjectedScriptSource and generation into JavaScriptCore.

Attachment 220559 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/4729324049530880
Comment 24 kov's GTK+ EWS bot 2014-01-07 16:03:24 PST
Comment on attachment 220559 [details]
[PATCH] Part 2: Move InjectedScriptSource and generation into JavaScriptCore.

Attachment 220559 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/5612519649443840
Comment 25 Build Bot 2014-01-07 16:08:39 PST
Comment on attachment 220562 [details]
[PATCH] Part 5: Move InjectedScript classes into JavaScriptCore

Attachment 220562 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/5002925814317056
Comment 26 EFL EWS Bot 2014-01-07 16:11:57 PST
Comment on attachment 220562 [details]
[PATCH] Part 5: Move InjectedScript classes into JavaScriptCore

Attachment 220562 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/5658519688708096
Comment 27 kov's GTK+ EWS bot 2014-01-07 16:15:18 PST
Comment on attachment 220562 [details]
[PATCH] Part 5: Move InjectedScript classes into JavaScriptCore

Attachment 220562 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/4696928453394432
Comment 28 EFL EWS Bot 2014-01-07 16:17:40 PST
Comment on attachment 220564 [details]
[PATCH] For Bots 1

Attachment 220564 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/4619737958973440
Comment 29 kov's GTK+ EWS bot 2014-01-07 16:24:57 PST
Comment on attachment 220564 [details]
[PATCH] For Bots 1

Attachment 220564 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/5814126756495360
Comment 30 Build Bot 2014-01-07 16:25:14 PST
Comment on attachment 220559 [details]
[PATCH] Part 2: Move InjectedScriptSource and generation into JavaScriptCore.

Attachment 220559 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/4802819529900032
Comment 31 Joseph Pecoraro 2014-01-07 16:55:09 PST
Created attachment 220570 [details]
[PATCH] For Bots 2
Comment 32 WebKit Commit Bot 2014-01-07 16:56:46 PST
Attachment 220570 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/InjectedScript.cpp', u'Source/JavaScriptCore/inspector/InjectedScript.h', u'Source/JavaScriptCore/inspector/InjectedScriptBase.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptBase.h', u'Source/JavaScriptCore/inspector/InjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptHost.h', u'Source/JavaScriptCore/inspector/InjectedScriptManager.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptManager.h', u'Source/JavaScriptCore/inspector/InjectedScriptModule.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptModule.h', u'Source/JavaScriptCore/inspector/InjectedScriptSource.js', u'Source/JavaScriptCore/inspector/InspectorEnvironment.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.h', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/cssmin.py', u'Source/JavaScriptCore/inspector/scripts/inline-and-minify-stylesheets-and-scripts.py', u'Source/JavaScriptCore/inspector/scripts/jsmin.py', u'Source/JavaScriptCore/inspector/scripts/xxd.pl', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.cpp', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScript.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptBase.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptHost.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptManager.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptModule.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorEnvironment.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/UseJSC.cmake', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/bindings/js/JSBindingsAllInOne.cpp', u'Source/WebCore/bindings/js/JSInjectedScriptHostCustom.cpp', u'Source/WebCore/bindings/js/JSInjectedScriptManager.cpp', u'Source/WebCore/bindings/js/JSMainThreadExecState.cpp', u'Source/WebCore/bindings/js/JSMainThreadExecState.h', u'Source/WebCore/inspector/CommandLineAPIHost.cpp', u'Source/WebCore/inspector/CommandLineAPIHost.h', u'Source/WebCore/inspector/CommandLineAPIModule.cpp', u'Source/WebCore/inspector/CommandLineAPIModule.h', u'Source/WebCore/inspector/ConsoleMessage.cpp', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScript.cpp', u'Source/WebCore/inspector/InjectedScript.h', u'Source/WebCore/inspector/InjectedScriptBase.cpp', u'Source/WebCore/inspector/InjectedScriptBase.h', u'Source/WebCore/inspector/InjectedScriptCanvasModule.cpp', u'Source/WebCore/inspector/InjectedScriptCanvasModule.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InjectedScriptHost.h', u'Source/WebCore/inspector/InjectedScriptHost.idl', u'Source/WebCore/inspector/InjectedScriptManager.cpp', u'Source/WebCore/inspector/InjectedScriptManager.h', u'Source/WebCore/inspector/InjectedScriptModule.cpp', u'Source/WebCore/inspector/InjectedScriptModule.h', u'Source/WebCore/inspector/InjectedScriptSource.js', u'Source/WebCore/inspector/InspectorAllInOne.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorController.h', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.h', u'Source/WebCore/inspector/InspectorInstrumentationCookie.cpp', u'Source/WebCore/inspector/InspectorInstrumentationCookie.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.cpp', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/PageConsoleAgent.cpp', u'Source/WebCore/inspector/PageConsoleAgent.h', u'Source/WebCore/inspector/PageDebuggerAgent.cpp', u'Source/WebCore/inspector/PageDebuggerAgent.h', u'Source/WebCore/inspector/PageInjectedScriptHost.cpp', u'Source/WebCore/inspector/PageInjectedScriptHost.h', u'Source/WebCore/inspector/PageInjectedScriptManager.cpp', u'Source/WebCore/inspector/PageInjectedScriptManager.h', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/Scripts/cssmin.py', u'Source/WebCore/inspector/Scripts/inline-and-minify-stylesheets-and-scripts.py', u'Source/WebCore/inspector/Scripts/jsmin.py', u'Source/WebCore/inspector/WorkerConsoleAgent.cpp', u'Source/WebCore/inspector/WorkerConsoleAgent.h', u'Source/WebCore/inspector/WorkerDebuggerAgent.cpp', u'Source/WebCore/inspector/WorkerDebuggerAgent.h', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerInspectorController.h', u'Source/WebCore/inspector/WorkerRuntimeAgent.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/xxd.pl', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/InjectedScript.h:33:  InjectedScript_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/inspector/ConsoleMessage.cpp:44:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.cpp:59:  An else statement can be removed when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptModule.h:33:  InjectedScriptModule_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptManager.h:31:  InjectedScriptManager_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptManager.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InspectorEnvironment.h:2:  WebCore_FWD_InspectorEnvironment_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/JSInjectedScriptHost.h:27:  JSInjectedScriptHost_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/JSInjectedScriptHost.h:86:  The parameter name "value" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InjectedScriptManager.h:2:  WebCore_FWD_InjectedScriptManager_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InjectedScript.h:2:  WebCore_FWD_InjectedScript_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:35:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:44:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:49:  multiple statements on one line (semicolon)  [pep8/E702] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:51:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:54:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:57:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:60:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:64:  expected 1 blank line, found 0  [pep8/E301] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:78:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:139:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:163:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InjectedScriptModule.h:2:  WebCore_FWD_InjectedScriptModule_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/inspector/InspectorInstrumentationCookie.h:32:  InspectorInstrumentationCookie_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptHost.h:27:  InjectedScriptHost_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InjectedScriptHost.h:2:  WebCore_FWD_InjectedScriptHost_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/inspector/PageInjectedScriptHost.h:27:  PageInjectedScriptHost_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:28:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:34:  whitespace before ')'  [pep8/E202] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:33:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/JavaScriptCore/inspector/InspectorEnvironment.h:27:  InspectorEnvironment_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/ForwardingHeaders/inspector/InjectedScriptBase.h:2:  WebCore_FWD_InjectedScriptBase_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/JavaScriptCore/inspector/InjectedScriptBase.h:33:  InjectedScriptBase_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.h:112:  The parameter name "exec" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.h:112:  The parameter name "source" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.h:27:  JSInjectedScriptHostPrototype_h is incorrect. #defined constants should use all uppercase names with words separated by underscores.  [readability/naming/define/constants] [4]
ERROR: Source/WebCore/inspector/PageConsoleAgent.cpp:41:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 37 in 93 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 33 EFL EWS Bot 2014-01-07 17:57:26 PST
Comment on attachment 220570 [details]
[PATCH] For Bots 2

Attachment 220570 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/4553985230897152
Comment 34 Joseph Pecoraro 2014-01-07 18:24:39 PST
(In reply to comment #22)
> (From update of attachment 220562 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=220562&action=review
> 
> >> Source/JavaScriptCore/inspector/JSInjectedScriptHost.cpp:85
> >> +
> > 
> > Because you have a non-trivial destructor, I believe you need this in the class definition:
> > 
> >     static const bool needsDestruction = true;
> > 
> > You should set a breakpoint on this function and verify that it is actually called.
> 
> Good find! I had tested this worked as expected when I was inspecting a JSContext but I'll add this and verify when debugging a Page and make sure I didn't regress anything there.

Hmm, adding this line makes the Inspector crash on construction of the object. I'll look into this tomorrow.
Comment 35 Joseph Pecoraro 2014-01-07 18:26:38 PST
EFL Build error:

    In file included from /mnt/eflews/webkit/WebKit/Source/JavaScriptCore/inspector/InjectedScript.h:37:0,
                     from /mnt/eflews/webkit/WebKit/Source/JavaScriptCore/inspector/InjectedScriptManager.h:34,
                     from /mnt/eflews/webkit/WebKit/Source/WebCore/inspector/ConsoleMessage.cpp:44:
    /mnt/eflews/webkit/WebKit/Source/JavaScriptCore/inspector/InjectedScriptBase.h:39:26: fatal error: ScriptObject.h: No such file or directory

huh... I know <bindings/ScriptObject.h> exists via the forwarding headers of WebCore. But from inside of JavaScriptCore I just include the header. How should I do this include so that the file will be found?
Comment 36 EFL EWS Bot 2014-01-07 19:55:01 PST
Comment on attachment 220570 [details]
[PATCH] For Bots 2

Attachment 220570 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/6630791836598272
Comment 37 Geoffrey Garen 2014-01-07 22:07:58 PST
> huh... I know <bindings/ScriptObject.h> exists via the forwarding headers of WebCore. But from inside of JavaScriptCore I just include the header. How should I do this include so that the file will be found?

I'm not sure how EFL handles forwarding headers :(.
Comment 38 Build Bot 2014-01-08 04:16:38 PST
Comment on attachment 220570 [details]
[PATCH] For Bots 2

Attachment 220570 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/4696613041733632

New failing tests:
inspector-protocol/dom/focus.html
inspector-protocol/input/dispatchKeyEvent.html
inspector-protocol/debugger/breakpoint-condition-with-exception.html
inspector-protocol/model/content-flow-list.html
inspector-protocol/model/content-flow-content-removal.html
inspector-protocol/layers/layers-anonymous.html
inspector-protocol/debugger/breakpoint-condition-detach.html
inspector-protocol/debugger/breakpoint-eval-with-exception.html
http/tests/inspector-protocol/loading-iframe-document-node.html
inspector-protocol/dom/dom-search.html
inspector-protocol/dom/dom-search-crash.html
inspector-protocol/dom/dom-remove-events.html
inspector-protocol/layers/layers-generated-content.html
inspector-protocol/input/dispatchMouseEvent.html
inspector-protocol/debugger/breakpoint-action-with-exception.html
inspector-protocol/page/deny-X-FrameOption.html
inspector-protocol/page/frameScheduledNavigation.html
inspector-protocol/debugger/breakpoint-action-detach.html
inspector-protocol/dom/dom-search-with-context.html
inspector-protocol/page/archive.html
inspector-protocol/css/getSupportedCSSProperties.html
inspector-protocol/layers/layers-for-node.html
inspector-protocol/layers/layers-compositing-reasons.html
inspector-protocol/runtime/getProperties.html
inspector-protocol/dom-debugger/node-removed.html
inspector-protocol/model/content-node-region-info.html
http/tests/inspector-protocol/access-inspected-object.html
inspector-protocol/model/highlight-shape-outside-margin.html
inspector-protocol/model/content-flow-content-nodes.html
inspector-protocol/page/frameStartedLoading.html
Comment 39 Build Bot 2014-01-08 04:16:45 PST
Created attachment 220623 [details]
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-06  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 40 Joseph Pecoraro 2014-01-08 13:26:46 PST
Created attachment 220657 [details]
[PATCH] For Bots 3

Use JSC::DestructibleObject. Fixed some style issues.

Note, even with DestructibleObject I don't see the destructor getting called. And I think there are some memory management issues that I will have to look into anyways. Continue to investigate.
Comment 41 Joseph Pecoraro 2014-01-08 14:17:40 PST
(In reply to comment #40)
> Created an attachment (id=220657) [details]
> [PATCH] For Bots 3
> 
> Use JSC::DestructibleObject. Fixed some style issues.
> 
> Note, even with DestructibleObject I don't see the destructor getting called. And I think there are some memory management issues that I will have to look into anyways. Continue to investigate.

Figured out the leak, and the destructor is running now and things are working great.

Timothy Hatcher looked over and approved the minor changes. Since we can't rely on the DOMWrapperWorld clearing the JSInjectedScriptHost like we used to when it was generated by IDL, we have to explicitly call discardInjectedScripts to clear our InjectedScript wrappers.
Comment 42 Joseph Pecoraro 2014-01-08 14:30:59 PST
Created attachment 220666 [details]
[PATCH] For Bots 4

Now, all that remains would be fixing that EFL build warning.
Comment 43 Joseph Pecoraro 2014-01-08 19:32:04 PST
Created attachment 220691 [details]
[PATCH] For Bots 5

This one uses #include "bindings/ScriptObject". I see other case of this kind of include format "yarr/Yarr.h" in RegExp.h and I suspect it might have been to fix a similar issue.
Comment 44 WebKit Commit Bot 2014-01-08 19:32:38 PST
Attachment 220666 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/InjectedScript.cpp', u'Source/JavaScriptCore/inspector/InjectedScript.h', u'Source/JavaScriptCore/inspector/InjectedScriptBase.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptBase.h', u'Source/JavaScriptCore/inspector/InjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptHost.h', u'Source/JavaScriptCore/inspector/InjectedScriptManager.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptManager.h', u'Source/JavaScriptCore/inspector/InjectedScriptModule.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptModule.h', u'Source/JavaScriptCore/inspector/InjectedScriptSource.js', u'Source/JavaScriptCore/inspector/InspectorEnvironment.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.h', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/cssmin.py', u'Source/JavaScriptCore/inspector/scripts/inline-and-minify-stylesheets-and-scripts.py', u'Source/JavaScriptCore/inspector/scripts/jsmin.py', u'Source/JavaScriptCore/inspector/scripts/xxd.pl', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.cpp', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScript.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptBase.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptHost.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptManager.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptModule.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorEnvironment.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/UseJSC.cmake', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/bindings/js/JSBindingsAllInOne.cpp', u'Source/WebCore/bindings/js/JSInjectedScriptHostCustom.cpp', u'Source/WebCore/bindings/js/JSInjectedScriptManager.cpp', u'Source/WebCore/bindings/js/JSMainThreadExecState.cpp', u'Source/WebCore/bindings/js/JSMainThreadExecState.h', u'Source/WebCore/inspector/CommandLineAPIHost.cpp', u'Source/WebCore/inspector/CommandLineAPIHost.h', u'Source/WebCore/inspector/CommandLineAPIModule.cpp', u'Source/WebCore/inspector/CommandLineAPIModule.h', u'Source/WebCore/inspector/ConsoleMessage.cpp', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScript.cpp', u'Source/WebCore/inspector/InjectedScript.h', u'Source/WebCore/inspector/InjectedScriptBase.cpp', u'Source/WebCore/inspector/InjectedScriptBase.h', u'Source/WebCore/inspector/InjectedScriptCanvasModule.cpp', u'Source/WebCore/inspector/InjectedScriptCanvasModule.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InjectedScriptHost.h', u'Source/WebCore/inspector/InjectedScriptHost.idl', u'Source/WebCore/inspector/InjectedScriptManager.cpp', u'Source/WebCore/inspector/InjectedScriptManager.h', u'Source/WebCore/inspector/InjectedScriptModule.cpp', u'Source/WebCore/inspector/InjectedScriptModule.h', u'Source/WebCore/inspector/InjectedScriptSource.js', u'Source/WebCore/inspector/InspectorAllInOne.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorController.h', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.h', u'Source/WebCore/inspector/InspectorInstrumentationCookie.cpp', u'Source/WebCore/inspector/InspectorInstrumentationCookie.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.cpp', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/PageConsoleAgent.cpp', u'Source/WebCore/inspector/PageConsoleAgent.h', u'Source/WebCore/inspector/PageDebuggerAgent.cpp', u'Source/WebCore/inspector/PageDebuggerAgent.h', u'Source/WebCore/inspector/PageInjectedScriptHost.cpp', u'Source/WebCore/inspector/PageInjectedScriptHost.h', u'Source/WebCore/inspector/PageInjectedScriptManager.cpp', u'Source/WebCore/inspector/PageInjectedScriptManager.h', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/Scripts/cssmin.py', u'Source/WebCore/inspector/Scripts/inline-and-minify-stylesheets-and-scripts.py', u'Source/WebCore/inspector/Scripts/jsmin.py', u'Source/WebCore/inspector/WorkerConsoleAgent.cpp', u'Source/WebCore/inspector/WorkerConsoleAgent.h', u'Source/WebCore/inspector/WorkerDebuggerAgent.cpp', u'Source/WebCore/inspector/WorkerDebuggerAgent.h', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerInspectorController.h', u'Source/WebCore/inspector/WorkerRuntimeAgent.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/xxd.pl', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:35:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:44:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:49:  multiple statements on one line (semicolon)  [pep8/E702] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:51:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:54:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:57:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:60:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:64:  expected 1 blank line, found 0  [pep8/E301] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:78:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:139:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:163:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:28:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:34:  whitespace before ')'  [pep8/E202] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:33:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.h:111:  The parameter name "callType" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.h:111:  The parameter name "callData" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 16 in 93 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 45 WebKit Commit Bot 2014-01-08 19:33:48 PST
Attachment 220691 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/InjectedScript.cpp', u'Source/JavaScriptCore/inspector/InjectedScript.h', u'Source/JavaScriptCore/inspector/InjectedScriptBase.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptBase.h', u'Source/JavaScriptCore/inspector/InjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptHost.h', u'Source/JavaScriptCore/inspector/InjectedScriptManager.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptManager.h', u'Source/JavaScriptCore/inspector/InjectedScriptModule.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptModule.h', u'Source/JavaScriptCore/inspector/InjectedScriptSource.js', u'Source/JavaScriptCore/inspector/InspectorEnvironment.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.h', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/cssmin.py', u'Source/JavaScriptCore/inspector/scripts/inline-and-minify-stylesheets-and-scripts.py', u'Source/JavaScriptCore/inspector/scripts/jsmin.py', u'Source/JavaScriptCore/inspector/scripts/xxd.pl', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.cpp', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScript.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptBase.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptHost.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptManager.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptModule.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorEnvironment.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/UseJSC.cmake', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/bindings/js/JSBindingsAllInOne.cpp', u'Source/WebCore/bindings/js/JSInjectedScriptHostCustom.cpp', u'Source/WebCore/bindings/js/JSInjectedScriptManager.cpp', u'Source/WebCore/bindings/js/JSMainThreadExecState.cpp', u'Source/WebCore/bindings/js/JSMainThreadExecState.h', u'Source/WebCore/inspector/CommandLineAPIHost.cpp', u'Source/WebCore/inspector/CommandLineAPIHost.h', u'Source/WebCore/inspector/CommandLineAPIModule.cpp', u'Source/WebCore/inspector/CommandLineAPIModule.h', u'Source/WebCore/inspector/ConsoleMessage.cpp', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScript.cpp', u'Source/WebCore/inspector/InjectedScript.h', u'Source/WebCore/inspector/InjectedScriptBase.cpp', u'Source/WebCore/inspector/InjectedScriptBase.h', u'Source/WebCore/inspector/InjectedScriptCanvasModule.cpp', u'Source/WebCore/inspector/InjectedScriptCanvasModule.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InjectedScriptHost.h', u'Source/WebCore/inspector/InjectedScriptHost.idl', u'Source/WebCore/inspector/InjectedScriptManager.cpp', u'Source/WebCore/inspector/InjectedScriptManager.h', u'Source/WebCore/inspector/InjectedScriptModule.cpp', u'Source/WebCore/inspector/InjectedScriptModule.h', u'Source/WebCore/inspector/InjectedScriptSource.js', u'Source/WebCore/inspector/InspectorAllInOne.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorController.h', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.h', u'Source/WebCore/inspector/InspectorInstrumentationCookie.cpp', u'Source/WebCore/inspector/InspectorInstrumentationCookie.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.cpp', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/PageConsoleAgent.cpp', u'Source/WebCore/inspector/PageConsoleAgent.h', u'Source/WebCore/inspector/PageDebuggerAgent.cpp', u'Source/WebCore/inspector/PageDebuggerAgent.h', u'Source/WebCore/inspector/PageInjectedScriptHost.cpp', u'Source/WebCore/inspector/PageInjectedScriptHost.h', u'Source/WebCore/inspector/PageInjectedScriptManager.cpp', u'Source/WebCore/inspector/PageInjectedScriptManager.h', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/Scripts/cssmin.py', u'Source/WebCore/inspector/Scripts/inline-and-minify-stylesheets-and-scripts.py', u'Source/WebCore/inspector/Scripts/jsmin.py', u'Source/WebCore/inspector/WorkerConsoleAgent.cpp', u'Source/WebCore/inspector/WorkerConsoleAgent.h', u'Source/WebCore/inspector/WorkerDebuggerAgent.cpp', u'Source/WebCore/inspector/WorkerDebuggerAgent.h', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerInspectorController.h', u'Source/WebCore/inspector/WorkerRuntimeAgent.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/xxd.pl', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:35:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:44:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:49:  multiple statements on one line (semicolon)  [pep8/E702] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:51:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:54:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:57:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:60:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:64:  expected 1 blank line, found 0  [pep8/E301] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:78:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:139:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:163:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:28:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:34:  whitespace before ')'  [pep8/E202] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:33:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.h:111:  The parameter name "callType" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.h:111:  The parameter name "callData" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 16 in 93 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 46 EFL EWS Bot 2014-01-08 19:38:49 PST
Comment on attachment 220666 [details]
[PATCH] For Bots 4

Attachment 220666 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/6355487788367872
Comment 47 EFL EWS Bot 2014-01-08 19:43:10 PST
Comment on attachment 220691 [details]
[PATCH] For Bots 5

Attachment 220691 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/6691288464228352
Comment 48 Joseph Pecoraro 2014-01-08 19:47:59 PST
Created attachment 220692 [details]
[PATCH] For Bots 6
Comment 49 WebKit Commit Bot 2014-01-08 19:49:18 PST
Attachment 220692 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/InjectedScript.cpp', u'Source/JavaScriptCore/inspector/InjectedScript.h', u'Source/JavaScriptCore/inspector/InjectedScriptBase.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptBase.h', u'Source/JavaScriptCore/inspector/InjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptHost.h', u'Source/JavaScriptCore/inspector/InjectedScriptManager.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptManager.h', u'Source/JavaScriptCore/inspector/InjectedScriptModule.cpp', u'Source/JavaScriptCore/inspector/InjectedScriptModule.h', u'Source/JavaScriptCore/inspector/InjectedScriptSource.js', u'Source/JavaScriptCore/inspector/InspectorEnvironment.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHost.h', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.cpp', u'Source/JavaScriptCore/inspector/JSInjectedScriptHostPrototype.h', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/cssmin.py', u'Source/JavaScriptCore/inspector/scripts/inline-and-minify-stylesheets-and-scripts.py', u'Source/JavaScriptCore/inspector/scripts/jsmin.py', u'Source/JavaScriptCore/inspector/scripts/xxd.pl', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.cpp', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScript.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptBase.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptHost.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptManager.h', u'Source/WebCore/ForwardingHeaders/inspector/InjectedScriptModule.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorEnvironment.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/UseJSC.cmake', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/bindings/js/JSBindingsAllInOne.cpp', u'Source/WebCore/bindings/js/JSInjectedScriptHostCustom.cpp', u'Source/WebCore/bindings/js/JSInjectedScriptManager.cpp', u'Source/WebCore/bindings/js/JSMainThreadExecState.cpp', u'Source/WebCore/bindings/js/JSMainThreadExecState.h', u'Source/WebCore/inspector/CommandLineAPIHost.cpp', u'Source/WebCore/inspector/CommandLineAPIHost.h', u'Source/WebCore/inspector/CommandLineAPIModule.cpp', u'Source/WebCore/inspector/CommandLineAPIModule.h', u'Source/WebCore/inspector/ConsoleMessage.cpp', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScript.cpp', u'Source/WebCore/inspector/InjectedScript.h', u'Source/WebCore/inspector/InjectedScriptBase.cpp', u'Source/WebCore/inspector/InjectedScriptBase.h', u'Source/WebCore/inspector/InjectedScriptCanvasModule.cpp', u'Source/WebCore/inspector/InjectedScriptCanvasModule.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InjectedScriptHost.h', u'Source/WebCore/inspector/InjectedScriptHost.idl', u'Source/WebCore/inspector/InjectedScriptManager.cpp', u'Source/WebCore/inspector/InjectedScriptManager.h', u'Source/WebCore/inspector/InjectedScriptModule.cpp', u'Source/WebCore/inspector/InjectedScriptModule.h', u'Source/WebCore/inspector/InjectedScriptSource.js', u'Source/WebCore/inspector/InspectorAllInOne.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorController.h', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInstrumentation.cpp', u'Source/WebCore/inspector/InspectorInstrumentation.h', u'Source/WebCore/inspector/InspectorInstrumentationCookie.cpp', u'Source/WebCore/inspector/InspectorInstrumentationCookie.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.cpp', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/PageConsoleAgent.cpp', u'Source/WebCore/inspector/PageConsoleAgent.h', u'Source/WebCore/inspector/PageDebuggerAgent.cpp', u'Source/WebCore/inspector/PageDebuggerAgent.h', u'Source/WebCore/inspector/PageInjectedScriptHost.cpp', u'Source/WebCore/inspector/PageInjectedScriptHost.h', u'Source/WebCore/inspector/PageInjectedScriptManager.cpp', u'Source/WebCore/inspector/PageInjectedScriptManager.h', u'Source/WebCore/inspector/PageRuntimeAgent.cpp', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/Scripts/cssmin.py', u'Source/WebCore/inspector/Scripts/inline-and-minify-stylesheets-and-scripts.py', u'Source/WebCore/inspector/Scripts/jsmin.py', u'Source/WebCore/inspector/WorkerConsoleAgent.cpp', u'Source/WebCore/inspector/WorkerConsoleAgent.h', u'Source/WebCore/inspector/WorkerDebuggerAgent.cpp', u'Source/WebCore/inspector/WorkerDebuggerAgent.h', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerInspectorController.h', u'Source/WebCore/inspector/WorkerRuntimeAgent.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/xxd.pl', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:35:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:44:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:49:  multiple statements on one line (semicolon)  [pep8/E702] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:51:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:54:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:57:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:60:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:64:  expected 1 blank line, found 0  [pep8/E301] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:78:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:139:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/jsmin.py:163:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:28:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:34:  whitespace before ')'  [pep8/E202] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/cssmin.py:33:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.h:111:  The parameter name "callType" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebCore/bindings/js/JSMainThreadExecState.h:111:  The parameter name "callData" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 16 in 93 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 50 Joseph Pecoraro 2014-01-09 10:57:41 PST
Committed <http://trac.webkit.org/changeset/161563>.
Comment 51 Joseph Pecoraro 2014-01-09 11:23:59 PST
Windows fix 1: <http://trac.webkit.org/changeset/161565>
Comment 52 Joseph Pecoraro 2014-01-09 14:20:48 PST
Windows fix 2: <http://trac.webkit.org/changeset/161585>
Comment 53 Joseph Pecoraro 2014-01-09 17:42:49 PST
Windows fix 3: <http://trac.webkit.org/changeset/161611>
Comment 54 Joseph Pecoraro 2014-01-09 18:30:16 PST
Created attachment 220795 [details]
[PATCH] For Bots Follow-up
Comment 55 Joseph Pecoraro 2014-01-09 18:47:14 PST
Windows fix 4: <http://trac.webkit.org/changeset/161617>
Comment 56 Joseph Pecoraro 2014-01-09 18:54:02 PST
\o/ Windows is now green. Moving on now!